# PeerStatusEvent.PeerStatus Property
Returns the registration state. This may be one of RegisteredUnregisteredReachableLaggedUnreachableRejected (IAX only)

AsterNet Class Library (Sandcastle documentation)

| PeerStatusEvent PeerStatus Property

Returns the registration state.
This may be one of

- Registered
- Unregistered
- Reachable
- Lagged
- Unreachable
- Rejected (IAX only)

Sets the registration state.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string PeerStatus { get; set; }

    Public Property PeerStatus As String
    	Get
    	Set

    public:
    property String^ PeerStatus {
    	String^ get ();
    	void set (String^ value);
    }

    member PeerStatus : string with get, set

#### Property Value

Type: String
See Also

#### Reference

PeerStatusEvent Class
AsterNET.Manager.Event Namespace